## debian-installer 20190508+devuan1

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Temporary workaround for #823881:
export MTOOLS_SKIP_CHECK=1

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin
EATMYDATA = $(shell which eatmydata 2>/dev/null)
gzip = $(shell which pigz >/dev/null 2>&1 && echo "pigz -n -T" || echo "gzip -n")

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
endif

define drop_lang
	@echo "Dropping languages: $(1)"
	@set -e; \
	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
		mv temp $$FILE; \
	done
endef

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR
export SOURCE_DATE_EPOCH

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory -j1
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | sort | cpio --quiet -o -H newc) > 
endef

# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
# On amd64, it can be increased by increasing this variable.  On i386,
# this is a hard limit due to constraints of 4 GiB VM space.
ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
MFSROOT_LIMIT := 42m
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
# See Bug#783773 for derivation.
MFSROOT_LIMIT := 78m
endif

define mkfs.ufs1
  sh -c 'makefs -t ffs -T $(SOURCE_DATE_EPOCH) -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
			olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
			if [ "$$olddate" ]; then \
				if [ $$(( $$(date -u "+%s") - \
				          $$(date -d "$$olddate" "+%s") \
				       )) -gt 1209600 ]; then \
					echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
					echo "         Should it maybe be updated?"; \
					sleep 15; \
				fi; \
			else \
				echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
				sleep 15; \
			fi; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | sed -n 's/^ Version: //p' | sed 's/+b[0-9]*$$//g'` ; \
			source=`dpkg-deb --info $$udeb | sed -n 's/^ Source: //p'` ; \
			if [ -z "$$source" ]; then \

=== debian/changelog ===
debian-installer (20190508+devuan1) ascii; urgency=medium

  * set kernel abi to 4.9.0-9

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 08 May 2019 17:37:32 +0100

debian-installer (20190228+devuan1) ascii; urgency=medium

  * bump version

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 27 Feb 2019 22:41:21 +0000

debian-installer (20181213+devuan1) ascii; urgency=medium

  * bump version

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 13 Dec 2018 16:37:06 +0000

debian-installer (20181101+devuan1) ascii; urgency=medium

  * increased kernel abi to 4.9.0-8

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 01 Nov 2018 15:19:05 +0000

debian-installer (20180717+devuan1) ascii; urgency=medium

  * increased kernel abi

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 17 Jul 2018 09:26:52 +0100

debian-installer (20180413+devuan1) ascii; urgency=medium

  * daily build
  * fixes non-free/contrib bug in apt-setup
  * fixes polkit deps in task-*-desktop

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 13 Apr 2018 21:00:52 +0100

debian-installer (20180315+devuan1) ascii; urgency=medium

  * daily build -- solves problem with outdated kernel modules in netinst

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 15 Mar 2018 05:20:08 +0000

debian-installer (20180213+devuan1) ascii; urgency=medium

  * daily build

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 13 Feb 2018 10:53:33 +0000

debian-installer (20180212+devuan1) ascii; urgency=medium

  * daily build

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 12 Feb 2018 22:41:39 +0000

debian-installer (20180211+devuan2) ascii; urgency=medium

  * amended path to bootslpash

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 09:32:43 +0000

debian-installer (20180211+devuan1) ascii; urgency=medium

  * daily build

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 07:54:22 +0000

debian-installer (20180205+devuan1) ascii; urgency=medium

  * solved problem with module selection
  * daily build and version bump for ascii-pre-beta

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Mon, 05 Feb 2018 22:58:42 +0000

debian-installer (20180131+devuan5) ascii; urgency=medium

  * bump version

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 31 Jan 2018 16:48:17 +0000

debian-installer (20180130+devuan4) ascii; urgency=medium

  * bump version

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 30 Jan 2018 15:36:57 +0000

debian-installer (20180130+devuan1) ascii; urgency=medium

  * daily build -- updated devuan version of anna

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 30 Jan 2018 13:01:36 +0000

debian-installer (20180128+devuan1) ascii; urgency=medium

  * version bump -- daily build

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 28 Jan 2018 09:12:59 +0000

debian-installer (20180127+devuan1.1) ascii; urgency=medium

  * bumping version -- newly rebuilt components.

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 27 Jan 2018 22:01:20 +0000

debian-installer (20180127+devuan1) ascii; urgency=medium

  * fixed stuff in tasksel and choose-mirror. Bumbed version.

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sat, 27 Jan 2018 14:36:59 +0000

debian-installer (20180124+devuan1) ascii; urgency=medium

  * Rebuild against updated components.

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 24 Jan 2018 14:07:18 +0000

debian-installer (20180116+devuan1) ascii; urgency=medium

  * first build for ascii

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 16 Jan 2018 22:16:26 +0000

debian-installer (20170116+devuan1Beta3u2) stable; urgency=medium

  * bump dos label number

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 24 Feb 2017 10:29:33 +1300

debian-installer (20170116+devuan1Beta3u1) stable; urgency=medium

  * Fix the keybinding to actually use F10
  * correct freenode irc channel

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 16 Jan 2017 09:33:01 +1300

debian-installer (20170111+devuan1Beta3u1) stable; urgency=low

  * change to correct keyring
  * also change keyring for other archs

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Wed, 11 Jan 2017 13:15:34 +1300

debian-installer (20170110+devuan1Beta3) stable; urgency=low

  [ Martin Michlmayr ]
  * Append DTB for SheevaPlug, SheevaPlug eSATA and GuruPlug. (Closes:
    #785588)

  [ Cyril Brulebois ]
  * Enable p-u in debian/rules for the jessie point releases.

  [ Martin Michlmayr ]
  * Add image for Seagate DockStar.
  * Add symlinks for OpenRD variants.
  * Append DTB for LaCie NAS devices that require it.

  [ Samuel Thibault ]
  * Add beep to UEFI x86 boot menu (Closes: #796591).
  * Add 's' shortcut for speech to UEFI x86 boot menu.

  [ Steve McIntyre ]
  * Add the part_gpt module into the core grub image to make it easier
    for users doing slightly different things with our images; include
    support for GPT partition tables as well as msdos (Closes: #789600).

  [ Martin Michlmayr ]
  * Exclude usb-serial-modules from the armel network-console image
    since it's not useful there (Closes: #809301).
  * Exclude usb-modules explicitly on armel/orion5x network-console
    to work around bug in util/pkg-list.
  * Drop the file extension from the initrd for QNAP devices.
  * Re-introduce installer images for QNAP TS-x09.
  * Provide u-boot images for plug computers.

debian-installer (20160425+devuan1Beta1.1) stable; urgency=low

  * update VCS-tags
  * oops forgot to add the purpy splash!

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Mon, 25 Apr 2016 15:39:34 +1200

debian-installer (20160425+devuan1Beta1) stable; urgency=low

  * Update for jessie Beta release
  * purpy splash is here!

 -- Daniel Reurich <centurion@zephaniah.centurion.net.nz>  Mon, 25 Apr 2016 14:19:37 +1200



=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>, Franco Lanza <nextime@nexlab.it>
Standards-Version: 3.9.5
Vcs-Git: git://git.devuan.org/devuan-packages/debian-installer.git
Vcs-Browser: https://git.devuan.org/devuan-packages/debian-installer/
Build-Conflicts: libnewt-pic [mipsel]
Build-Depends:
# Base build dependencies:
	debhelper (>= 7.0.0),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	devuan-keyring (>= 2016.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	debiandoc-sgml,
#		partman's manual is in debiandoc.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i internals manual is in DocBook XML.
	libbogl-dev,
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
	libslang2-pic (>= 2.0.6-4),
#		Make dependency versioned temporarily to make sure we avoid #392942
	libnewt-pic (>= 0.52.2-11.3) [!mipsel],
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
	libnewt-dev (>= 0.52.2-11.3) [mipsel],
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
	libgcc1 [i386 amd64],
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
# 
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
#		We use mklibs for library reduction.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	hfsutils [powerpc],
#		For making bootable HFS USB sticks for powerpc.
	dosfstools [i386 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio,
#		For creating initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	slugimage (>= 0.10+r58-6) [armeb armel],
#		For building nslu2 firmware images.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf],
#		For creating u-boot images
# 
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	yaboot [powerpc ppc64],
#		For all our powerpc boot needs. Well, not really.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	silo [sparc sparc64],
#		Using silo is problematic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	apex-nslu2 [armeb armel],
#		2nd stage bootloader for Linksys NSLU2.
	grub-efi-amd64-bin [amd64], grub-efi-arm64-bin [arm64], grub-efi-ia32-bin [i386],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [ppc64el],
#		IEEE1275 bootloader support.
	u-boot-imx [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi [armhf],
	u-boot-rockchip (>= 2016.09~rc1) [armhf],
#		U-boot binaries for armhf systems without u-boot in flash memory
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
# 
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
# 
	kmod [linux-any],
#		depmod.
# 
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	mkvmlinuz [powerpc ppc64],
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	devuan-keyring [sh4 sparc64],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Devuan's debian installer
 This package currently only contains some documentation for the Devuan
 version of the debian installer. We welcome suggestions about what else to 
  in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)

# Daily builds vs. uploads to unstable:
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=ascii
USE_PROPOSED_UPDATES=0
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

# Adjust for non-released ports if needed:
RELEASE_ARCHES=amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
ifeq (,$(filter $(ARCH), $(RELEASE_ARCHES)))
USE_UNRELEASED=1
USE_UDEBS_FROM=unstable
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz

export SOURCE_DATE_EPOCH

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		USE_UNRELEASED=$(USE_UNRELEASED) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml -X .gitignore
	dh_compress
	dh_fixperms

	./build/util/write-built-using

	dh_gencontrol
	dh_md5sums
	dh_builddeb
	./build/util/gen-tarball debian/tmp ../$(TARNAME)
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20190623

=== debian/changelog ===
debian-installer (20190623) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Add haveged-udeb [linux] to the pkg-lists/base, so that entropy
    starvation issues can be avoided (Closes: #923675). To be used
    by S50entropy-source in rootskel.
  * Bump Linux kernel ABI from 4.19.0-4 to 4.19.0-5
  * Drop volatile.debian.{net,org} exclusion from gen-sources.list.udeb,
    they went away with Squeeze(!).
  * Update translation-status for the release.

  [ Samuel Thibault ]
  * Make hurd-i386 use debian-ports keyring and include
    debian-ports-archive-keyring-udeb.
  * Add œŒ glyphs for the french translation.
  * Make hurd and kfreebsd boot menu use new theme.
  * Update size limits.
  * Relabel "dark theme" entry to "accessible high contrast" entry
    (Closes: #930569)

  [ John Paul Adrian Glaubitz ]
  * alpha: Add pata-modules to cdrom package list.
  * ia64: Add sata-modules to cdrom package list.
  * ia64: Switch bootloader from elilo to grub-efi-ia64.
  * powerpc: Switch bootloader from yaboot to grub-ieee1275.
  * ppc64: Switch bootloader from yaboot to grub-ieee1275.
  * sh4: Set KERNELVERSION to LINUX_KERNEL_ABI.
  * sparc: Strip KERNELVERSION suffix from KERNELNAME.
  * sparc: Switch bootloader from silo to grub-ieee1275.
  * sparc64: Strip KERNELVERSION suffix from KERNELNAME.
  * sparc64: Switch bootloader from silo to grub-ieee1275.

  [ Vagrant Cascadian ]
  * [arm64] Add u-boot images for a64-olinuxino, orangepi_zero_plus2 and
    teres_i.
  * [arm64] Update Build-Depends to u-boot-sunxi (>= 2019.01+dfsg-5).
  * [armhf] Compress u-boot images with "gzip -n" to avoid embedding
    timestamps which cause reproducibility issues.

  [ Domenico Andreoli ]
  * Add support for NanoPi NEO2

  [ Vagrant Cascadian ]
  * [arm64] Add support for netboot SD-card-images.

  [ Steve McIntyre ]
  * Add Build-Depends on shim-signed and grub-efi-ARCH-signed for
    amd64/i386/arm64
  * Use the signed shim and grub for all 3 arches for EFI images
  * efi-image: use an extra command-line arg to track if we should be
    using signed grub and shim etc.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 23 Jun 2019 21:53:21 +0200

## debian-installer 20190702

=== debian/changelog ===
debian-installer (20190702) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Rebuild to pick up the last changes for D-I Buster RC 3.

  [ John Paul Adrian Glaubitz ]
  * ia64: Add grub stub configuration file grub-efi.cfg.
  * sparc: Remove VERSIONED_SYSTEM_MAP from config file.
  * sparc64: Remove VERSIONED_SYSTEM_MAP from config file.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 02 Jul 2019 00:39:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=ascii
+USE_UDEBS_FROM=buster
 USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
@@ -28,7 +28,7 @@
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
 DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
-TARNAME=devuan-installer-images_$(VERSION)_$(ARCH).tar.gz
+TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
 export SOURCE_DATE_EPOCH

## debian-installer 20190702%2bdeb10u5

=== debian/changelog ===
debian-installer (20190702+deb10u5) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-10.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 30 Jul 2020 12:11:29 +0200

debian-installer (20190702+deb10u4) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-9.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 May 2020 21:14:00 +0200

debian-installer (20190702+deb10u3) buster; urgency=medium

  [ Steve McIntyre ]
  * Tweak mini.iso generation on arm so EFI netboot will work.

  [ Cyril Brulebois ]
  * Update USE_UDEBS_FROM default from unstable to buster; debian/rules
    uses heuristics to set the right value anyway, but that should help
    users perform local builds without having to know about those
    heuristics. Thanks to Carsten Schoenert for the report.
  * Bump Linux ABI to 4.19.0-8.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 01 Feb 2020 15:55:23 +0100

debian-installer (20190702+deb10u2) buster; urgency=medium

  [ Samuel Thibault ]
  * build/util/grub-gencfg: Set gfxpayload=keep in submenus too, to fix
    unreadable fonts on hidpi displays in netboot images booted with EFI.
    (See: #935546)

 -- Cyril Brulebois <kibi@debian.org>  Tue, 12 Nov 2019 17:46:17 +0100

debian-installer (20190702+deb10u1) buster; urgency=medium

  [ Samuel Thibault ]
  * build/boot/x86: Restore 'd' shortcut for the dark theme. 'c' can obviously
    not work in grub (Closes: #935545).

  [ Cyril Brulebois ]
  * Enable proposed-updates for the buster stable branch.

  [ Julien Cristau ]
  * Bump linux ABI to 4.19.0-6.

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Sep 2019 10:25:13 +0200

## debian-installer 20190702%2bdeb10u7

=== debian/changelog ===
debian-installer (20190702+deb10u7) buster; urgency=medium

  [ Julien Cristau ]
  * Add grub2 to built-using (closes: #968998).

  [ Cyril Brulebois ]
  * Bump Linux ABI to 4.19.0-13.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 30 Nov 2020 04:01:21 +0100

debian-installer (20190702+deb10u6) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-11.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Sep 2020 01:11:51 +0200

## debian-installer 20190702%2bdeb10u8

=== debian/changelog ===
debian-installer (20190702+deb10u8) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-14.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 02 Feb 2021 15:04:14 +0100

## debian-installer 20190702%2bdeb10u10

=== debian/changelog ===
debian-installer (20190702+deb10u10) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-17.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 16 Jun 2021 21:17:30 +0200

debian-installer (20190702+deb10u9) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-16.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 22 Mar 2021 08:28:38 +0100

## debian-installer 20190702+deb10u1

=== build/Makefile ===
--- 
+++ 
@@ -139,7 +139,16 @@
 endef
 
 define mkinitramfs
-  (cd $(TREE) && find . | sort | cpio --quiet -o -H newc) > 
+  (cd $(TREE) && find . | sort | cpio --reproducible --quiet -o -H newc) >
+endef
+
+define clamp_mtimes
+  find $(1) -newermt "@$(SOURCE_DATE_EPOCH)" -print0 | xargs -0r touch --no-dereference --date="@$(SOURCE_DATE_EPOCH)"
+endef
+
+define normalise_permissions
+  find $(1) -type d -print0 | xargs -0r chmod $(DIR_MODE)
+  find $(1) -not -type d -and -not -type l -print0 | xargs -0r chmod $(FILE_MODE)
 endef
 
 # Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
@@ -287,6 +296,8 @@
 _build:
 	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
 	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)
+	# Ensure build results have reproducible mtimes
+	@$(clamp_mtimes) $(BASE_DEST)
 
 # Convenience rules to clean and build.
 .PHONY: rebuild_%
@@ -304,6 +315,9 @@
 	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
 	cd $(BASE_DEST) && md5sum `find -L . -type f | sort` > MD5SUMS # XXX remove this
 	cd $(BASE_DEST) && sha256sum `find -L . -type f | sort` > SHA256SUMS
+	# We have just modified files
+	$(clamp_mtimes) $(BASE_DEST)
+	$(normalise_permissions) $(BASE_DEST)
 
 # The general tree target.
 $(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
@@ -360,11 +374,3 @@
 			pkg=`basename $$udeb` ; \
 			$(EATMYDATA) dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
 			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
-			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
-			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
-			usedsize=`echo $$newsize - $$oldsize | bc`; \
-			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
-			usedcount=`echo $$newcount - $$oldcount | bc`; \
-			version=`dpkg-deb --info $$udeb | sed -n 's/^ Version: //p' | sed 's/+b[0-9]*$$//g'` ; \
-			source=`dpkg-deb --info $$udeb | sed -n 's/^ Source: //p'` ; \
-			if [ -z "$$source" ]; then \

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Cyril Brulebois <kibi@debian.org>
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/installer-team/debian-installer.git
Vcs-Browser: https://salsa.debian.org/installer-team/debian-installer
Build-Depends:
# Base build dependencies:
	debhelper (>= 11),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	debian-archive-keyring (>= 2006.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	debiandoc-sgml,
#		partman's manual is in debiandoc.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i internals manual is in DocBook XML.
	libbogl-dev,
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
	libgcc1 [i386 amd64],
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
# 
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	mklibs (>= 0.1.40), mklibs-copy (>= 0.1.40),
#		We use mklibs for library reduction.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	dosfstools [i386 ia64 m68k amd64 armhf arm64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		m68k uses it for atari floppies
#		armhf uses it for building bootable SD card images
	cpio (>= 2.11+dfsg-6),
#		For creating (reproducible) initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	dns323-firmware-tools (>= 0.7.3-1~) [armel],
#		For building firmware images for the D-Link DNS-32(0|3).
	u-boot-tools [armel armhf arm64],
#		For creating u-boot images
# 
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux [i386 amd64],
	syslinux-utils [i386 amd64],
	isolinux [i386 amd64],
	pxelinux [i386 amd64],
	syslinux-common (>= 3:6) [i386 amd64],
#		With isohybrid.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	palo [hppa],
#		Bootloader for hppa machines, to make netboot images.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	shim-signed [amd64 i386 arm64],
	grub-efi-amd64-signed [amd64],
	grub-efi-ia32-signed [i386],
	grub-efi-arm64-signed [arm64],
#	        Signed bootloader components for UEFI Secure Boot
	grub-efi-arm64-bin [arm64],
	grub-efi-ia32-bin [i386],
	grub-efi-ia64-bin [ia64],
	grub-efi-arm-bin [armhf],
	grub-common [amd64 arm64 i386], xorriso,
#		Used to make EFI bootable images
	grub-ieee1275-bin [powerpc ppc64 ppc64el sparc sparc64],
#		IEEE1275 bootloader support.
	u-boot-imx (>= 2019.01+dfsg-3) [armhf],
	u-boot-omap (>= 2016.09~rc1) [armhf],
	u-boot-sunxi (>= 2019.01+dfsg-3) [armhf],
	u-boot-sunxi (>= 2019.01+dfsg-6) [arm64],
	u-boot-rockchip (>= 2019.01+dfsg-1~) [armhf],
#		U-boot binaries for armhf systems without u-boot in flash memory
	arm-trusted-firmware [arm64],
	device-tree-compiler [arm64],
#		arm-trusted-firmware for allwinner, used in combination with
#		u-boot-sunxi to produce bootable arm64 images.
	u-boot (>= 2016.01+dfsg1-1~) [armel],
#		U-boot binaries for armel systems
# 
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 m68k amd64 armhf arm64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them. Note that patches from #900409 and #900410
#		are required for a reproducible build (available since
#		4.0.18-2.1).
# 
	kmod [linux-any],
#		depmod.
# 
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	openssl,
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it. Also useful on other
#		architectures if SSL_CERTS has been set locally.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs (>= 20100306-5+kbsd8u1~) [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 2.02~beta2~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso (>= 1.3.2-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	debian-ports-archive-keyring [alpha hppa ia64 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc64 x32],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build
	fdisk [armhf] | util-linux (<< 2.29.2-3~) [armhf],
#		sfdisk is used by util/gen-hd-image when creating SD card
#		images for armhf systems. Starting with buster, it is no longer
#		part of util-linux but split out into a separate, non-essential
#		"fdisk" package. For more information, please cf.
#		https://lists.debian.org/debian-devel-announce/2017/08/msg00005.html
	fontconfig,
#		Used to generate a font cache through fc-cache, for gtk flavours

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}, ${extra:Built-Using}
Depends: ${misc:Depends}
Description: Debian Installer documentation
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

## debian-installer 20190702+deb10u9

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 BOOTMENU_BEEP=n
 else
 USE_UDEBS_FROM=buster
-USE_PROPOSED_UPDATES=0
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif

## debian-installer 20190702+deb10u11

=== debian/changelog ===
debian-installer (20190702+deb10u11) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-18.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 04 Oct 2021 08:04:01 +0200

## debian-installer 20190702+deb10u12

=== debian/changelog ===
debian-installer (20190702+deb10u12) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-20.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 23 Mar 2022 00:13:48 +0100

## debian-installer 20190702+deb10u13

=== debian/changelog ===
debian-installer (20190702+deb10u13) buster; urgency=medium

  * Bump Linux ABI to 4.19.0-21.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 07 Sep 2022 00:57:03 +0200
